import { toPrecision } from '@modules/ad/interface/grpc-controllers/dtos/transformers/to-precision';

describe('precision handler', () => {
  it('should return a 6 digits float number for a 10 digits float input number and 6 as precision', () => {
    const precised = toPrecision(1.1234567891, 6);
    const stringPrecised = precised.toString().split('.')[1];
    expect(stringPrecised.length).toBe(6);
  });
  it('should return a 2 digits float number for a 2 digits float input number and 4 as precision', () => {
    const precised = toPrecision(1.12, 4);
    const stringPrecised = precised.toString().split('.')[1];
    expect(stringPrecised.length).toBe(2);
  });
});
